#include "Dlgcode.h"

volatile MessageBoxW_CallBack gMessageBoxW_CallBack = NULL;

int
WINAPI
MessageBoxW_Wrap(
    __in_opt HWND hWnd,
    __in_opt LPCWSTR lpText,
    __in_opt LPCWSTR lpCaption,
    __in UINT uType)
{
	if (gMessageBoxW_CallBack != NULL)
		return gMessageBoxW_CallBack(hWnd, lpText, lpCaption, uType);
	else
		return MessageBoxW(hWnd, lpText, lpCaption, uType);
}